<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Mon Mar 28 10:40:21 EDT 2016 -->
<TITLE>
FtpConnection (JFtp)
</TITLE>

<META NAME="date" CONTENT="2016-03-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="FtpConnection (JFtp)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../net/sf/jftp/net/FtpClient.html" title="class in net.sf.jftp.net"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../net/sf/jftp/net/FtpConstants.html" title="interface in net.sf.jftp.net"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?net/sf/jftp/net/FtpConnection.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="FtpConnection.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
net.sf.jftp.net</FONT>
<BR>
Class FtpConnection</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>net.sf.jftp.net.FtpConnection</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html" title="interface in net.sf.jftp.net">FtpConstants</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>FtpConnection</B><DT>extends java.lang.Object<DT>implements <A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html" title="interface in net.sf.jftp.net">FtpConstants</A></DL>
</PRE>

<P>
All control transactions are made here.
 See doc/FtpDownload.java for examples and note
 that this class is event-driven and not Exception-based!
 You might want to take a look at ConnectionListener, too.
<P>

<P>
<DL>
<DT><B>Author:</B></DT>
  <DD>David Hansmann, hansmann.d@debitel.net</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#ASCII">ASCII</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#BINARY">BINARY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#BLOCKED">BLOCKED</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#COMPRESSED">COMPRESSED</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.Vector&lt;java.lang.String&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#currentFiles">currentFiles</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.Vector&lt;java.lang.String&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#currentListing">currentListing</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.Vector&lt;java.lang.String&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#currentPerms">currentPerms</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.Vector&lt;java.lang.String&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#currentSizes">currentSizes</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.Vector&lt;java.util.Date&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#dateVector">dateVector</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;May contain date listing</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#EBCDIC">EBCDIC</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#hasUploaded">hasUploaded</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Used to determine the type of transfer.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#L8">L8</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#LIST">LIST</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#LIST_DEFAULT">LIST_DEFAULT</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#STREAM">STREAM</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#work">work</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_net.sf.jftp.net.FtpConstants"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface net.sf.jftp.net.<A HREF="../../../../net/sf/jftp/net/FtpConstants.html" title="interface in net.sf.jftp.net">FtpConstants</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../net/sf/jftp/net/FtpConstants.html#ABOR">ABOR</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#ACCT">ACCT</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#ADAT">ADAT</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#ALLO">ALLO</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#APPE">APPE</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#AUTH">AUTH</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#CCC">CCC</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#CDUP">CDUP</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#CHDIR_FAILED">CHDIR_FAILED</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#CONF">CONF</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#CWD">CWD</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#DATACONNECTION_FAILED">DATACONNECTION_FAILED</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#DELE">DELE</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#DENIED">DENIED</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#ENC">ENC</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#FILE_NOT_FOUND">FILE_NOT_FOUND</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#FTP200_OK">FTP200_OK</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#FTP215_SYSTEM_TYPE">FTP215_SYSTEM_TYPE</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#FTP220_SERVICE_READY">FTP220_SERVICE_READY</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#FTP221_SERVICE_CLOSING">FTP221_SERVICE_CLOSING</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#FTP226_CLOSING_DATA_REQUEST_SUCCESSFUL">FTP226_CLOSING_DATA_REQUEST_SUCCESSFUL</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#FTP227_ENTERING_PASSIVE_MODE">FTP227_ENTERING_PASSIVE_MODE</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#FTP230_LOGGED_IN">FTP230_LOGGED_IN</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#FTP250_COMPLETED">FTP250_COMPLETED</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#FTP257_PATH_CREATED">FTP257_PATH_CREATED</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#FTP331_USER_OK_NEED_PASSWORD">FTP331_USER_OK_NEED_PASSWORD</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#GENERIC_FAILED">GENERIC_FAILED</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#HELP">HELP</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#LOGIN_OK">LOGIN_OK</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#MIC">MIC</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#MKD">MKD</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#MKDIR_FAILED">MKDIR_FAILED</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#MODE">MODE</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#NEW_TRANSFER_SPAWNED">NEW_TRANSFER_SPAWNED</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#NLST">NLST</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#NOOP">NOOP</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#OFFLINE">OFFLINE</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#PASS">PASS</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#PASV">PASV</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#PBSZ">PBSZ</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#PERMISSION_DENIED">PERMISSION_DENIED</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#PORT">PORT</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#PROT">PROT</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#PWD">PWD</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#QUIT">QUIT</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#R">R</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC110">RC110</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC120">RC120</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC125">RC125</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC150">RC150</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC202">RC202</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC211">RC211</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC212">RC212</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC213">RC213</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC214">RC214</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC225">RC225</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC332">RC332</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC350">RC350</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC421">RC421</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC425">RC425</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC426">RC426</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC450">RC450</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC451">RC451</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC452">RC452</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC500">RC500</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC501">RC501</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC502">RC502</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC503">RC503</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC504">RC504</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC530">RC530</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC532">RC532</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC550">RC550</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC551">RC551</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC552">RC552</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RC553">RC553</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#REIN">REIN</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#REMOVE_FAILED">REMOVE_FAILED</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#REMOVE_SUCCESSFUL">REMOVE_SUCCESSFUL</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RENAME_FAILED">RENAME_FAILED</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#REST">REST</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RETR">RETR</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RMD">RMD</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RNFR">RNFR</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#RNTO">RNTO</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#SITE">SITE</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#SMNT">SMNT</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#STAT">STAT</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#STOR">STOR</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#STOU">STOU</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#STRU">STRU</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#SYST">SYST</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#TRANSFER_FAILED">TRANSFER_FAILED</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#TRANSFER_STOPPED">TRANSFER_STOPPED</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#TRANSFER_SUCCESSFUL">TRANSFER_SUCCESSFUL</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#TYPE">TYPE</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#USER">USER</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#W">W</A>, <A HREF="../../../../net/sf/jftp/net/FtpConstants.html#WRONG_LOGIN_DATA">WRONG_LOGIN_DATA</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#FtpConnection(java.lang.String)">FtpConnection</A></B>(java.lang.String&nbsp;host)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create an instance with a given host</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#FtpConnection(java.lang.String, int, java.lang.String)">FtpConnection</A></B>(java.lang.String&nbsp;host,
              int&nbsp;port,
              java.lang.String&nbsp;initCWD)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create an instance with a given host, port and initial remote working directory</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#FtpConnection(java.lang.String, int, java.lang.String, java.lang.String)">FtpConnection</A></B>(java.lang.String&nbsp;host,
              int&nbsp;port,
              java.lang.String&nbsp;initCWD,
              java.lang.String&nbsp;crlfx)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Connect to the server an log in.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#abort()">abort</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Try to abort the transfer.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#abortTransfer()">abortTransfer</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Abort the last spawned transfer.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#addConnectionListener(net.sf.jftp.net.ConnectionListener)">addConnectionListener</A></B>(<A HREF="../../../../net/sf/jftp/net/ConnectionListener.html" title="interface in net.sf.jftp.net">ConnectionListener</A>&nbsp;l)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Add a ConnectionListener.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#ascii()">ascii</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Tell server we want ascii data connections.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#binary()">binary</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Tell server we want binary data connections.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#cdup()">cdup</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Change to the parent of the current working directory.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#chdir(java.lang.String)">chdir</A></B>(java.lang.String&nbsp;p)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses directory and does a chdir().</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#chdirNoRefresh(java.lang.String)">chdirNoRefresh</A></B>(java.lang.String&nbsp;p)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parses directory and does a chdir(), but does not send an update signal</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#chdirRaw(java.lang.String)">chdirRaw</A></B>(java.lang.String&nbsp;dirName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Change directory unparsed.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#disconnect()">disconnect</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Disconnect from the server.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#download(java.lang.String)">download</A></B>(java.lang.String&nbsp;file)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Download a file or directory, block until finished.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#exists(java.lang.String)">exists</A></B>(java.lang.String&nbsp;file)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Checks wheter a file exists.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#fireActionFinished(net.sf.jftp.net.FtpConnection)">fireActionFinished</A></B>(<A HREF="../../../../net/sf/jftp/net/FtpConnection.html" title="class in net.sf.jftp.net">FtpConnection</A>&nbsp;con)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Transfer is done</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#fireConnectionFailed(net.sf.jftp.net.FtpConnection, java.lang.String)">fireConnectionFailed</A></B>(<A HREF="../../../../net/sf/jftp/net/FtpConnection.html" title="class in net.sf.jftp.net">FtpConnection</A>&nbsp;con,
                     java.lang.String&nbsp;why)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;We are not logged in for some reason</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#fireConnectionInitialized(net.sf.jftp.net.FtpConnection)">fireConnectionInitialized</A></B>(<A HREF="../../../../net/sf/jftp/net/FtpConnection.html" title="class in net.sf.jftp.net">FtpConnection</A>&nbsp;con)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Connection is there and user logged in</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#fireDirectoryUpdate(net.sf.jftp.net.FtpConnection)">fireDirectoryUpdate</A></B>(<A HREF="../../../../net/sf/jftp/net/FtpConnection.html" title="class in net.sf.jftp.net">FtpConnection</A>&nbsp;con)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Remote directory has changed.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#fireProgressUpdate(java.lang.String, java.lang.String, long)">fireProgressUpdate</A></B>(java.lang.String&nbsp;file,
                   java.lang.String&nbsp;type,
                   long&nbsp;bytes)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Progress update.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#getCachedPWD()">getCachedPWD</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns current remote directory (cached)</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.io.BufferedReader</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#getCommandInputReader()">getCommandInputReader</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.io.OutputStream</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#getCommandOutputStream()">getCommandOutputStream</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../net/sf/jftp/net/ConnectionHandler.html" title="class in net.sf.jftp.net">ConnectionHandler</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#getConnectionHandler()">getConnectionHandler</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Return the ConnectionHandler.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#getCRLF()">getCRLF</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../net/sf/jftp/net/DataConnection.html" title="class in net.sf.jftp.net">DataConnection</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#getDataConnection()">getDataConnection</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Return the DataConnection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.io.InputStream</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#getDownloadInputStream(java.lang.String)">getDownloadInputStream</A></B>(java.lang.String&nbsp;file)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Get download InputStream.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#getHost()">getHost</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Return the host used.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.io.BufferedReader</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#getIn()">getIn</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../net/sf/jftp/net/FtpKeepAliveThread.html" title="class in net.sf.jftp.net">FtpKeepAliveThread</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#getKeepAliveThread()">getKeepAliveThread</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../net/sf/jftp/net/FtpTransfer.html" title="class in net.sf.jftp.net">FtpTransfer</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#getLastInitiatedTransfer()">getLastInitiatedTransfer</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Get the last FtpTransfer object spawned.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#getLine(java.lang.String)">getLine</A></B>(java.lang.String&nbsp;until)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reads the response until line found or error.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#getLine(java.lang.String[])">getLine</A></B>(java.lang.String[]&nbsp;until)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Reads the response until line found or error.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#getLocalPath()">getLocalPath</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Return the local working directory</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#getOsType()">getOsType</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Try to determine the os-type.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#getPassword()">getPassword</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Return the password.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#getPermissions()">getPermissions</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sort the permissions an return an array.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#getPort()">getPort</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Get the port.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#getPWD()">getPWD</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Get the current remote directory.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#getTypeNow()">getTypeNow</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the type used.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#getUsername()">getUsername</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Return the username.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#handleDownload(java.lang.String)">handleDownload</A></B>(java.lang.String&nbsp;file)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Download a file or directory.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#handleUpload(java.lang.String)">handleUpload</A></B>(java.lang.String&nbsp;file)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Upload a file or directory.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#handleUpload(java.lang.String, java.lang.String)">handleUpload</A></B>(java.lang.String&nbsp;file,
             java.lang.String&nbsp;realName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Upload a file or directory.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#isConnected()">isConnected</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Check if login() was successful.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#list()">list</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;List remote directory.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#login(java.lang.String, java.lang.String)">login</A></B>(java.lang.String&nbsp;username,
      java.lang.String&nbsp;password)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Connect to the server an log in.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#mkdir(java.lang.String)">mkdir</A></B>(java.lang.String&nbsp;dirName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create a directory with the given name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#mode(java.lang.String)">mode</A></B>(java.lang.String&nbsp;code)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set mode manually.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#modeBlocked()">modeBlocked</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Unsupported at this time.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#modeCompressed()">modeCompressed</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#modeStream()">modeStream</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set mode to Stream.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#noop()">noop</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Do nothing, but flush buffers</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#pause(int)">pause</A></B>(int&nbsp;time)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Waits a specified amount of time</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#removeFileOrDir(java.lang.String)">removeFileOrDir</A></B>(java.lang.String&nbsp;file)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Remove a remote file or directory.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#rename(java.lang.String, java.lang.String)">rename</A></B>(java.lang.String&nbsp;from,
       java.lang.String&nbsp;to)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Moves or renames remote file.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#sendRawCommand(java.lang.String)">sendRawCommand</A></B>(java.lang.String&nbsp;cmd)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Execute a remote command.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#setConnectionHandler(net.sf.jftp.net.ConnectionHandler)">setConnectionHandler</A></B>(<A HREF="../../../../net/sf/jftp/net/ConnectionHandler.html" title="class in net.sf.jftp.net">ConnectionHandler</A>&nbsp;h)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set the ConnectionHandler.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#setConnectionListeners(java.util.Vector)">setConnectionListeners</A></B>(java.util.Vector&lt;<A HREF="../../../../net/sf/jftp/net/ConnectionListener.html" title="interface in net.sf.jftp.net">ConnectionListener</A>&gt;&nbsp;l)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Add a Vector of ConnectionListeners.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#setIn(java.io.BufferedReader)">setIn</A></B>(java.io.BufferedReader&nbsp;in)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#setLocalPath(java.lang.String)">setLocalPath</A></B>(java.lang.String&nbsp;newPath)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set the local working directory</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.Date[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#sortDates()">sortDates</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Get file dates.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#sortLs()">sortLs</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sort the filenames of the current working dir an return an array.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#sortSize()">sortSize</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sort the filesizes an return an array.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#system()">system</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;This command is used to find out the type of operating
 system at the server.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#type(java.lang.String)">type</A></B>(java.lang.String&nbsp;code)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set type (L8,I,A for example).</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#upload(java.lang.String)">upload</A></B>(java.lang.String&nbsp;file)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Upload a file or directory, block until finished.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#upload(java.lang.String, java.io.InputStream)">upload</A></B>(java.lang.String&nbsp;file,
       java.io.InputStream&nbsp;in)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Upload from an InputStream, block until finished.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#upload(java.lang.String, java.lang.String)">upload</A></B>(java.lang.String&nbsp;file,
       java.lang.String&nbsp;realName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Upload and a file or directory under a given name, block until finished.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../net/sf/jftp/net/FtpConnection.html#upload(java.lang.String, java.lang.String, java.io.InputStream)">upload</A></B>(java.lang.String&nbsp;file,
       java.lang.String&nbsp;realName,
       java.io.InputStream&nbsp;in)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Upload and a file or directory under a given name, block until finished.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="ASCII"><!-- --></A><H3>
ASCII</H3>
<PRE>
public static final java.lang.String <B>ASCII</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#net.sf.jftp.net.FtpConnection.ASCII">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="BINARY"><!-- --></A><H3>
BINARY</H3>
<PRE>
public static final java.lang.String <B>BINARY</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#net.sf.jftp.net.FtpConnection.BINARY">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="EBCDIC"><!-- --></A><H3>
EBCDIC</H3>
<PRE>
public static final java.lang.String <B>EBCDIC</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#net.sf.jftp.net.FtpConnection.EBCDIC">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="L8"><!-- --></A><H3>
L8</H3>
<PRE>
public static final java.lang.String <B>L8</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#net.sf.jftp.net.FtpConnection.L8">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="STREAM"><!-- --></A><H3>
STREAM</H3>
<PRE>
public static final java.lang.String <B>STREAM</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#net.sf.jftp.net.FtpConnection.STREAM">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="BLOCKED"><!-- --></A><H3>
BLOCKED</H3>
<PRE>
public static final java.lang.String <B>BLOCKED</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#net.sf.jftp.net.FtpConnection.BLOCKED">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="COMPRESSED"><!-- --></A><H3>
COMPRESSED</H3>
<PRE>
public static final java.lang.String <B>COMPRESSED</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#net.sf.jftp.net.FtpConnection.COMPRESSED">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="LIST_DEFAULT"><!-- --></A><H3>
LIST_DEFAULT</H3>
<PRE>
public static java.lang.String <B>LIST_DEFAULT</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="LIST"><!-- --></A><H3>
LIST</H3>
<PRE>
public static java.lang.String <B>LIST</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="hasUploaded"><!-- --></A><H3>
hasUploaded</H3>
<PRE>
public boolean <B>hasUploaded</B></PRE>
<DL>
<DD>Used to determine the type of transfer.
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="work"><!-- --></A><H3>
work</H3>
<PRE>
public boolean <B>work</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="dateVector"><!-- --></A><H3>
dateVector</H3>
<PRE>
public java.util.Vector&lt;java.util.Date&gt; <B>dateVector</B></PRE>
<DL>
<DD>May contain date listing
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="currentListing"><!-- --></A><H3>
currentListing</H3>
<PRE>
public java.util.Vector&lt;java.lang.String&gt; <B>currentListing</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="currentFiles"><!-- --></A><H3>
currentFiles</H3>
<PRE>
public java.util.Vector&lt;java.lang.String&gt; <B>currentFiles</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="currentSizes"><!-- --></A><H3>
currentSizes</H3>
<PRE>
public java.util.Vector&lt;java.lang.String&gt; <B>currentSizes</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="currentPerms"><!-- --></A><H3>
currentPerms</H3>
<PRE>
public java.util.Vector&lt;java.lang.String&gt; <B>currentPerms</B></PRE>
<DL>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="FtpConnection(java.lang.String)"><!-- --></A><H3>
FtpConnection</H3>
<PRE>
public <B>FtpConnection</B>(java.lang.String&nbsp;host)</PRE>
<DL>
<DD>Create an instance with a given host
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>host</CODE> - The host to connect to</DL>
</DL>
<HR>

<A NAME="FtpConnection(java.lang.String, int, java.lang.String)"><!-- --></A><H3>
FtpConnection</H3>
<PRE>
public <B>FtpConnection</B>(java.lang.String&nbsp;host,
                     int&nbsp;port,
                     java.lang.String&nbsp;initCWD)</PRE>
<DL>
<DD>Create an instance with a given host, port and initial remote working directory
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>host</CODE> - The host to connect to<DD><CODE>port</CODE> - The port used for the control connection, usually 21<DD><CODE>initCWD</CODE> - The initial remote working directory</DL>
</DL>
<HR>

<A NAME="FtpConnection(java.lang.String, int, java.lang.String, java.lang.String)"><!-- --></A><H3>
FtpConnection</H3>
<PRE>
public <B>FtpConnection</B>(java.lang.String&nbsp;host,
                     int&nbsp;port,
                     java.lang.String&nbsp;initCWD,
                     java.lang.String&nbsp;crlfx)</PRE>
<DL>
<DD>Connect to the server an log in.

 Does also fire directory update and connection initialized event if successful or
 connection failed event if failed.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>username</CODE> - The username<DD><CODE>password</CODE> - The password<DD><CODE>initCWD</CODE> - The initial remote working directory<DD><CODE>crlfx</CODE> - \n, \r, \r\n, CR, LF or CRLF - line break style of the server</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="login(java.lang.String, java.lang.String)"><!-- --></A><H3>
login</H3>
<PRE>
public int <B>login</B>(java.lang.String&nbsp;username,
                 java.lang.String&nbsp;password)</PRE>
<DL>
<DD>Connect to the server an log in.

 Does also fire directory update and connection initialized event if successful or
 connection failed event if failed.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>username</CODE> - The username<DD><CODE>password</CODE> - The password
<DT><B>Returns:</B><DD>WRONG_LOGIN_DATA, OFFLINE, GENERIC_FAILED or LOGIN_OK status code</DL>
</DD>
</DL>
<HR>

<A NAME="getKeepAliveThread()"><!-- --></A><H3>
getKeepAliveThread</H3>
<PRE>
public <A HREF="../../../../net/sf/jftp/net/FtpKeepAliveThread.html" title="class in net.sf.jftp.net">FtpKeepAliveThread</A> <B>getKeepAliveThread</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="sortSize()"><!-- --></A><H3>
sortSize</H3>
<PRE>
public java.lang.String[] <B>sortSize</B>()</PRE>
<DL>
<DD>Sort the filesizes an return an array.

 The Array should be in sync with the other sort*-Methods
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#sortSize()">sortSize</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>An String-array of sizes containing the size or -1 if failed or 0 for directories</DL>
</DD>
</DL>
<HR>

<A NAME="getPermissions()"><!-- --></A><H3>
getPermissions</H3>
<PRE>
public int[] <B>getPermissions</B>()</PRE>
<DL>
<DD>Sort the permissions an return an array.

 The Array should be in sync with the other sort*-Methods
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#getPermissions()">getPermissions</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>file</CODE> - The file containing the raw server listing, usually Settings.ls_out
<DT><B>Returns:</B><DD>An int-array of sizes containing W, R or DENIED for each file</DL>
</DD>
</DL>
<HR>

<A NAME="sortLs()"><!-- --></A><H3>
sortLs</H3>
<PRE>
public java.lang.String[] <B>sortLs</B>()</PRE>
<DL>
<DD>Sort the filenames of the current working dir an return an array.

 The Array should be in sync with the other sort*-Methods
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#sortLs()">sortLs</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>An String-array of sizes containing the name of the file (symlinks are resolved)</DL>
</DD>
</DL>
<HR>

<A NAME="getOsType()"><!-- --></A><H3>
getOsType</H3>
<PRE>
public java.lang.String <B>getOsType</B>()</PRE>
<DL>
<DD>Try to determine the os-type.
 (Used internally to check how to parse the ls-output)
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>A Part of the SYST comman server response</DL>
</DD>
</DL>
<HR>

<A NAME="handleDownload(java.lang.String)"><!-- --></A><H3>
handleDownload</H3>
<PRE>
public int <B>handleDownload</B>(java.lang.String&nbsp;file)</PRE>
<DL>
<DD>Download a file or directory.
 Uses multithreading if enabled and does not block.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#handleDownload(java.lang.String)">handleDownload</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>file</CODE> - The file to download
<DT><B>Returns:</B><DD>An int-statuscode, see constants defined in this class for details</DL>
</DD>
</DL>
<HR>

<A NAME="download(java.lang.String)"><!-- --></A><H3>
download</H3>
<PRE>
public int <B>download</B>(java.lang.String&nbsp;file)</PRE>
<DL>
<DD>Download a file or directory, block until finished.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#download(java.lang.String)">download</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>file</CODE> - The file to download
<DT><B>Returns:</B><DD>An int returncode</DL>
</DD>
</DL>
<HR>

<A NAME="getDownloadInputStream(java.lang.String)"><!-- --></A><H3>
getDownloadInputStream</H3>
<PRE>
public java.io.InputStream <B>getDownloadInputStream</B>(java.lang.String&nbsp;file)</PRE>
<DL>
<DD>Get download InputStream.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#getDownloadInputStream(java.lang.String)">getDownloadInputStream</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>file</CODE> - The file to download
<DT><B>Returns:</B><DD>An InputStream</DL>
</DD>
</DL>
<HR>

<A NAME="handleUpload(java.lang.String)"><!-- --></A><H3>
handleUpload</H3>
<PRE>
public int <B>handleUpload</B>(java.lang.String&nbsp;file)</PRE>
<DL>
<DD>Upload a file or directory.
 Uses multithreading if enabled and does not block.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#handleUpload(java.lang.String)">handleUpload</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>file</CODE> - The file to upload
<DT><B>Returns:</B><DD>An int-statuscode, NEW_TRANSFER_SPAWNED,TRANSFER_FAILED or TRANSFER_SUCCESSFUL</DL>
</DD>
</DL>
<HR>

<A NAME="handleUpload(java.lang.String, java.lang.String)"><!-- --></A><H3>
handleUpload</H3>
<PRE>
public int <B>handleUpload</B>(java.lang.String&nbsp;file,
                        java.lang.String&nbsp;realName)</PRE>
<DL>
<DD>Upload a file or directory.
 Uses multithreading if enabled and does not block.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>file</CODE> - The file to upload<DD><CODE>realName</CODE> - The file to rename the uploaded file to
<DT><B>Returns:</B><DD>An int-statuscode, NEW_TRANSFER_SPAWNED,TRANSFER_FAILED or TRANSFER_SUCCESSFUL</DL>
</DD>
</DL>
<HR>

<A NAME="upload(java.lang.String)"><!-- --></A><H3>
upload</H3>
<PRE>
public int <B>upload</B>(java.lang.String&nbsp;file)</PRE>
<DL>
<DD>Upload a file or directory, block until finished.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#upload(java.lang.String)">upload</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>file</CODE> - The file to upload
<DT><B>Returns:</B><DD>An int returncode</DL>
</DD>
</DL>
<HR>

<A NAME="upload(java.lang.String, java.lang.String)"><!-- --></A><H3>
upload</H3>
<PRE>
public int <B>upload</B>(java.lang.String&nbsp;file,
                  java.lang.String&nbsp;realName)</PRE>
<DL>
<DD>Upload and a file or directory under a given name, block until finished.
 Note that setting realName does not affect directory transfers
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>file</CODE> - The file to upload<DD><CODE>realName</CODE> - The file to rename the uploaded file to
<DT><B>Returns:</B><DD>An int responsecode</DL>
</DD>
</DL>
<HR>

<A NAME="upload(java.lang.String, java.io.InputStream)"><!-- --></A><H3>
upload</H3>
<PRE>
public int <B>upload</B>(java.lang.String&nbsp;file,
                  java.io.InputStream&nbsp;in)</PRE>
<DL>
<DD>Upload from an InputStream, block until finished.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#upload(java.lang.String, java.io.InputStream)">upload</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>file</CODE> - The file to upload<DD><CODE>in</CODE> - InputStream to read from
<DT><B>Returns:</B><DD>An int responsecode</DL>
</DD>
</DL>
<HR>

<A NAME="upload(java.lang.String, java.lang.String, java.io.InputStream)"><!-- --></A><H3>
upload</H3>
<PRE>
public int <B>upload</B>(java.lang.String&nbsp;file,
                  java.lang.String&nbsp;realName,
                  java.io.InputStream&nbsp;in)</PRE>
<DL>
<DD>Upload and a file or directory under a given name, block until finished.
 Note that setting realName does not affect directory transfers
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>file</CODE> - The file to upload<DD><CODE>realName</CODE> - The file to rename the uploaded file to<DD><CODE>in</CODE> - InputStream to read from
<DT><B>Returns:</B><DD>An int responsecode</DL>
</DD>
</DL>
<HR>

<A NAME="removeFileOrDir(java.lang.String)"><!-- --></A><H3>
removeFileOrDir</H3>
<PRE>
public int <B>removeFileOrDir</B>(java.lang.String&nbsp;file)</PRE>
<DL>
<DD>Remove a remote file or directory.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#removeFileOrDir(java.lang.String)">removeFileOrDir</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>file</CODE> - The file to remove
<DT><B>Returns:</B><DD>REMOVE_SUCCESSFUL, REMOVE_FAILED, PERMISSION_DENIED or  GENERIC_FAILED</DL>
</DD>
</DL>
<HR>

<A NAME="disconnect()"><!-- --></A><H3>
disconnect</H3>
<PRE>
public void <B>disconnect</B>()</PRE>
<DL>
<DD>Disconnect from the server.
 The connection is marked ad closed even if the server does not respond correctly -
 if it fails for any reason the connection should just time out
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#disconnect()">disconnect</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="sendRawCommand(java.lang.String)"><!-- --></A><H3>
sendRawCommand</H3>
<PRE>
public void <B>sendRawCommand</B>(java.lang.String&nbsp;cmd)</PRE>
<DL>
<DD>Execute a remote command.
 Sends noops before and after the command
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#sendRawCommand(java.lang.String)">sendRawCommand</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>cmd</CODE> - The raw command that is to be sent to the server</DL>
</DD>
</DL>
<HR>

<A NAME="getLine(java.lang.String)"><!-- --></A><H3>
getLine</H3>
<PRE>
public java.lang.String <B>getLine</B>(java.lang.String&nbsp;until)</PRE>
<DL>
<DD>Reads the response until line found or error.
 (Used internally)
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>until</CODE> - The String the response line hast to start with, 2 for succesful return codes for example</DL>
</DD>
</DL>
<HR>

<A NAME="getLine(java.lang.String[])"><!-- --></A><H3>
getLine</H3>
<PRE>
public java.lang.String <B>getLine</B>(java.lang.String[]&nbsp;until)</PRE>
<DL>
<DD>Reads the response until line found or error.
 (Used internally)
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isConnected()"><!-- --></A><H3>
isConnected</H3>
<PRE>
public boolean <B>isConnected</B>()</PRE>
<DL>
<DD>Check if login() was successful.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#isConnected()">isConnected</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>True if connected, false otherwise</DL>
</DD>
</DL>
<HR>

<A NAME="getPWD()"><!-- --></A><H3>
getPWD</H3>
<PRE>
public java.lang.String <B>getPWD</B>()</PRE>
<DL>
<DD>Get the current remote directory.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#getPWD()">getPWD</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>The server's CWD</DL>
</DD>
</DL>
<HR>

<A NAME="getCachedPWD()"><!-- --></A><H3>
getCachedPWD</H3>
<PRE>
public java.lang.String <B>getCachedPWD</B>()</PRE>
<DL>
<DD>Returns current remote directory (cached)
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>The cached CWD</DL>
</DD>
</DL>
<HR>

<A NAME="chdirRaw(java.lang.String)"><!-- --></A><H3>
chdirRaw</H3>
<PRE>
public boolean <B>chdirRaw</B>(java.lang.String&nbsp;dirName)</PRE>
<DL>
<DD>Change directory unparsed.
 Use chdir instead if you do not parse the dir correctly...
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>dirName</CODE> - The raw directory name
<DT><B>Returns:</B><DD>True if successful, false otherwise</DL>
</DD>
</DL>
<HR>

<A NAME="cdup()"><!-- --></A><H3>
cdup</H3>
<PRE>
public boolean <B>cdup</B>()</PRE>
<DL>
<DD>Change to the parent of the current working directory.
 The CDUP command is a special case of CWD, and is included
 to simplify the implementation of programs for transferring
 directory trees between operating systems having different
 syntaxes for naming the parent directory.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#cdup()">cdup</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>True if successful, false otherwise</DL>
</DD>
</DL>
<HR>

<A NAME="mkdir(java.lang.String)"><!-- --></A><H3>
mkdir</H3>
<PRE>
public boolean <B>mkdir</B>(java.lang.String&nbsp;dirName)</PRE>
<DL>
<DD>Create a directory with the given name.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#mkdir(java.lang.String)">mkdir</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>dirName</CODE> - The name of the directory to create
<DT><B>Returns:</B><DD>True if successful, false otherwise</DL>
</DD>
</DL>
<HR>

<A NAME="list()"><!-- --></A><H3>
list</H3>
<PRE>
public void <B>list</B>()
          throws java.io.IOException</PRE>
<DL>
<DD>List remote directory.
 Note that you have to get the output using the
 sort*-methods.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#list()">list</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>outfile</CODE> - The file to save the output to, usually Settings.ls_out
<DT><B>Throws:</B>
<DD><CODE>java.io.IOException</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="chdir(java.lang.String)"><!-- --></A><H3>
chdir</H3>
<PRE>
public boolean <B>chdir</B>(java.lang.String&nbsp;p)</PRE>
<DL>
<DD>Parses directory and does a chdir().
 Does also fire a directory update event.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#chdir(java.lang.String)">chdir</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>True is successful, false otherwise</DL>
</DD>
</DL>
<HR>

<A NAME="chdirNoRefresh(java.lang.String)"><!-- --></A><H3>
chdirNoRefresh</H3>
<PRE>
public boolean <B>chdirNoRefresh</B>(java.lang.String&nbsp;p)</PRE>
<DL>
<DD>Parses directory and does a chdir(), but does not send an update signal
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#chdirNoRefresh(java.lang.String)">chdirNoRefresh</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>True is successful, false otherwise</DL>
</DD>
</DL>
<HR>

<A NAME="pause(int)"><!-- --></A><H3>
pause</H3>
<PRE>
public void <B>pause</B>(int&nbsp;time)</PRE>
<DL>
<DD>Waits a specified amount of time
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>time</CODE> - The time to sleep in milliseconds</DL>
</DD>
</DL>
<HR>

<A NAME="getLocalPath()"><!-- --></A><H3>
getLocalPath</H3>
<PRE>
public java.lang.String <B>getLocalPath</B>()</PRE>
<DL>
<DD>Return the local working directory
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#getLocalPath()">getLocalPath</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>The local CWD</DL>
</DD>
</DL>
<HR>

<A NAME="setLocalPath(java.lang.String)"><!-- --></A><H3>
setLocalPath</H3>
<PRE>
public boolean <B>setLocalPath</B>(java.lang.String&nbsp;newPath)</PRE>
<DL>
<DD>Set the local working directory
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#setLocalPath(java.lang.String)">setLocalPath</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>newPath</CODE> - The new local CWD
<DT><B>Returns:</B><DD>Always true in the current implementation</DL>
</DD>
</DL>
<HR>

<A NAME="exists(java.lang.String)"><!-- --></A><H3>
exists</H3>
<PRE>
public int <B>exists</B>(java.lang.String&nbsp;file)</PRE>
<DL>
<DD>Checks wheter a file exists.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>file</CODE> - the name of the file
<DT><B>Returns:</B><DD>An int-code: CHDIR_FAILED, PERMISSION_DENIED (no listing allowed), R, W or DENIED</DL>
</DD>
</DL>
<HR>

<A NAME="rename(java.lang.String, java.lang.String)"><!-- --></A><H3>
rename</H3>
<PRE>
public boolean <B>rename</B>(java.lang.String&nbsp;from,
                      java.lang.String&nbsp;to)</PRE>
<DL>
<DD>Moves or renames remote file.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#rename(java.lang.String, java.lang.String)">rename</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>from</CODE> - remote file to move or rename.<DD><CODE>to</CODE> - new file name.
<DT><B>Returns:</B><DD><code>true</code> if completed successfully; <code>false</code> otherwise.</DL>
</DD>
</DL>
<HR>

<A NAME="getPort()"><!-- --></A><H3>
getPort</H3>
<PRE>
public int <B>getPort</B>()</PRE>
<DL>
<DD>Get the port.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>The port used by the FTP control connection</DL>
</DD>
</DL>
<HR>

<A NAME="binary()"><!-- --></A><H3>
binary</H3>
<PRE>
public void <B>binary</B>()</PRE>
<DL>
<DD>Tell server we want binary data connections.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="ascii()"><!-- --></A><H3>
ascii</H3>
<PRE>
public void <B>ascii</B>()</PRE>
<DL>
<DD>Tell server we want ascii data connections.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="type(java.lang.String)"><!-- --></A><H3>
type</H3>
<PRE>
public boolean <B>type</B>(java.lang.String&nbsp;code)</PRE>
<DL>
<DD>Set type (L8,I,A for example).
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>True if the type was changed successfully, false otherwise</DL>
</DD>
</DL>
<HR>

<A NAME="getTypeNow()"><!-- --></A><H3>
getTypeNow</H3>
<PRE>
public java.lang.String <B>getTypeNow</B>()</PRE>
<DL>
<DD>Returns the type used.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>The type String, I, A, L8 for example</DL>
</DD>
</DL>
<HR>

<A NAME="noop()"><!-- --></A><H3>
noop</H3>
<PRE>
public void <B>noop</B>()</PRE>
<DL>
<DD>Do nothing, but flush buffers
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="abort()"><!-- --></A><H3>
abort</H3>
<PRE>
public void <B>abort</B>()</PRE>
<DL>
<DD>Try to abort the transfer.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="system()"><!-- --></A><H3>
system</H3>
<PRE>
public java.lang.String <B>system</B>()</PRE>
<DL>
<DD>This command is used to find out the type of operating
 system at the server. The reply shall have as its first
 word one of the system names listed in the current version
 of the Assigned Numbers document (RFC 943).
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>The server response of the SYST command</DL>
</DD>
</DL>
<HR>

<A NAME="modeStream()"><!-- --></A><H3>
modeStream</H3>
<PRE>
public void <B>modeStream</B>()</PRE>
<DL>
<DD>Set mode to Stream.
 Used internally.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="modeBlocked()"><!-- --></A><H3>
modeBlocked</H3>
<PRE>
public void <B>modeBlocked</B>()</PRE>
<DL>
<DD>Unsupported at this time.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="modeCompressed()"><!-- --></A><H3>
modeCompressed</H3>
<PRE>
public void <B>modeCompressed</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="mode(java.lang.String)"><!-- --></A><H3>
mode</H3>
<PRE>
public java.lang.String <B>mode</B>(java.lang.String&nbsp;code)</PRE>
<DL>
<DD>Set mode manually.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>code</CODE> - The mode code wanted, I, A, L8 for example
<DT><B>Returns:</B><DD>The server's response to the request</DL>
</DD>
</DL>
<HR>

<A NAME="getHost()"><!-- --></A><H3>
getHost</H3>
<PRE>
public java.lang.String <B>getHost</B>()</PRE>
<DL>
<DD>Return the host used.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>The remote host of this connection</DL>
</DD>
</DL>
<HR>

<A NAME="getUsername()"><!-- --></A><H3>
getUsername</H3>
<PRE>
public java.lang.String <B>getUsername</B>()</PRE>
<DL>
<DD>Return the username.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>The username used by this connection</DL>
</DD>
</DL>
<HR>

<A NAME="getPassword()"><!-- --></A><H3>
getPassword</H3>
<PRE>
public java.lang.String <B>getPassword</B>()</PRE>
<DL>
<DD>Return the password.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>The password used by this connection</DL>
</DD>
</DL>
<HR>

<A NAME="getDataConnection()"><!-- --></A><H3>
getDataConnection</H3>
<PRE>
public <A HREF="../../../../net/sf/jftp/net/DataConnection.html" title="class in net.sf.jftp.net">DataConnection</A> <B>getDataConnection</B>()</PRE>
<DL>
<DD>Return the DataConnection.
 Should be necessary only for complex actions.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>The DataConnection object currently used by this conenction</DL>
</DD>
</DL>
<HR>

<A NAME="addConnectionListener(net.sf.jftp.net.ConnectionListener)"><!-- --></A><H3>
addConnectionListener</H3>
<PRE>
public void <B>addConnectionListener</B>(<A HREF="../../../../net/sf/jftp/net/ConnectionListener.html" title="interface in net.sf.jftp.net">ConnectionListener</A>&nbsp;l)</PRE>
<DL>
<DD>Add a ConnectionListener.
 The Listener is notified about transfers and the connection state.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#addConnectionListener(net.sf.jftp.net.ConnectionListener)">addConnectionListener</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>l</CODE> - A ConnectionListener object</DL>
</DD>
</DL>
<HR>

<A NAME="setConnectionListeners(java.util.Vector)"><!-- --></A><H3>
setConnectionListeners</H3>
<PRE>
public void <B>setConnectionListeners</B>(java.util.Vector&lt;<A HREF="../../../../net/sf/jftp/net/ConnectionListener.html" title="interface in net.sf.jftp.net">ConnectionListener</A>&gt;&nbsp;l)</PRE>
<DL>
<DD>Add a Vector of ConnectionListeners.
 Each Listener is notified about transfers and the connection state.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#setConnectionListeners(java.util.Vector)">setConnectionListeners</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>l</CODE> - A Vector containig ConnectionListener objects</DL>
</DD>
</DL>
<HR>

<A NAME="fireDirectoryUpdate(net.sf.jftp.net.FtpConnection)"><!-- --></A><H3>
fireDirectoryUpdate</H3>
<PRE>
public void <B>fireDirectoryUpdate</B>(<A HREF="../../../../net/sf/jftp/net/FtpConnection.html" title="class in net.sf.jftp.net">FtpConnection</A>&nbsp;con)</PRE>
<DL>
<DD>Remote directory has changed.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>con</CODE> - The FtpConnection calling the event</DL>
</DD>
</DL>
<HR>

<A NAME="fireProgressUpdate(java.lang.String, java.lang.String, long)"><!-- --></A><H3>
fireProgressUpdate</H3>
<PRE>
public void <B>fireProgressUpdate</B>(java.lang.String&nbsp;file,
                               java.lang.String&nbsp;type,
                               long&nbsp;bytes)</PRE>
<DL>
<DD>Progress update.
 The transfer is active and makes progress, so a signal is send
 each few kb.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>file</CODE> - The file transferred<DD><CODE>type</CODE> - the type of event, DataConnection.GETDIR for example<DD><CODE>bytes</CODE> - The number of bytes transferred so far</DL>
</DD>
</DL>
<HR>

<A NAME="fireConnectionInitialized(net.sf.jftp.net.FtpConnection)"><!-- --></A><H3>
fireConnectionInitialized</H3>
<PRE>
public void <B>fireConnectionInitialized</B>(<A HREF="../../../../net/sf/jftp/net/FtpConnection.html" title="class in net.sf.jftp.net">FtpConnection</A>&nbsp;con)</PRE>
<DL>
<DD>Connection is there and user logged in
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>con</CODE> - The FtpConnection calling the event</DL>
</DD>
</DL>
<HR>

<A NAME="fireConnectionFailed(net.sf.jftp.net.FtpConnection, java.lang.String)"><!-- --></A><H3>
fireConnectionFailed</H3>
<PRE>
public void <B>fireConnectionFailed</B>(<A HREF="../../../../net/sf/jftp/net/FtpConnection.html" title="class in net.sf.jftp.net">FtpConnection</A>&nbsp;con,
                                 java.lang.String&nbsp;why)</PRE>
<DL>
<DD>We are not logged in for some reason
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>con</CODE> - The FtpConnection calling the event<DD><CODE>why</CODE> - The login() response code</DL>
</DD>
</DL>
<HR>

<A NAME="fireActionFinished(net.sf.jftp.net.FtpConnection)"><!-- --></A><H3>
fireActionFinished</H3>
<PRE>
public void <B>fireActionFinished</B>(<A HREF="../../../../net/sf/jftp/net/FtpConnection.html" title="class in net.sf.jftp.net">FtpConnection</A>&nbsp;con)</PRE>
<DL>
<DD>Transfer is done
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>con</CODE> - The FtpConnection calling the event</DL>
</DD>
</DL>
<HR>

<A NAME="getConnectionHandler()"><!-- --></A><H3>
getConnectionHandler</H3>
<PRE>
public <A HREF="../../../../net/sf/jftp/net/ConnectionHandler.html" title="class in net.sf.jftp.net">ConnectionHandler</A> <B>getConnectionHandler</B>()</PRE>
<DL>
<DD>Return the ConnectionHandler.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>The connection handler of this instance</DL>
</DD>
</DL>
<HR>

<A NAME="setConnectionHandler(net.sf.jftp.net.ConnectionHandler)"><!-- --></A><H3>
setConnectionHandler</H3>
<PRE>
public void <B>setConnectionHandler</B>(<A HREF="../../../../net/sf/jftp/net/ConnectionHandler.html" title="class in net.sf.jftp.net">ConnectionHandler</A>&nbsp;h)</PRE>
<DL>
<DD>Set the ConnectionHandler.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>h</CODE> - The connection handler that is to be used by this connection</DL>
</DD>
</DL>
<HR>

<A NAME="getLastInitiatedTransfer()"><!-- --></A><H3>
getLastInitiatedTransfer</H3>
<PRE>
public <A HREF="../../../../net/sf/jftp/net/FtpTransfer.html" title="class in net.sf.jftp.net">FtpTransfer</A> <B>getLastInitiatedTransfer</B>()</PRE>
<DL>
<DD>Get the last FtpTransfer object spawned.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="abortTransfer()"><!-- --></A><H3>
abortTransfer</H3>
<PRE>
public void <B>abortTransfer</B>()</PRE>
<DL>
<DD>Abort the last spawned transfer.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="sortDates()"><!-- --></A><H3>
sortDates</H3>
<PRE>
public java.util.Date[] <B>sortDates</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#sortDates()">BasicConnection</A></CODE></B></DD>
<DD>Get file dates.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html#sortDates()">sortDates</A></CODE> in interface <CODE><A HREF="../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="getCRLF()"><!-- --></A><H3>
getCRLF</H3>
<PRE>
public java.lang.String <B>getCRLF</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getIn()"><!-- --></A><H3>
getIn</H3>
<PRE>
public java.io.BufferedReader <B>getIn</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setIn(java.io.BufferedReader)"><!-- --></A><H3>
setIn</H3>
<PRE>
public void <B>setIn</B>(java.io.BufferedReader&nbsp;in)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getCommandInputReader()"><!-- --></A><H3>
getCommandInputReader</H3>
<PRE>
public java.io.BufferedReader <B>getCommandInputReader</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getCommandOutputStream()"><!-- --></A><H3>
getCommandOutputStream</H3>
<PRE>
public java.io.OutputStream <B>getCommandOutputStream</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../net/sf/jftp/net/FtpClient.html" title="class in net.sf.jftp.net"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../net/sf/jftp/net/FtpConstants.html" title="interface in net.sf.jftp.net"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?net/sf/jftp/net/FtpConnection.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="FtpConnection.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
